
From: Mika Kukkonen <mika@osdl.org>

  CC      mm/slab.o
mm/slab.c: In function `kmem_cache_create':
mm/slab.c:1129: warning: comparison of unsigned expression < 0 is always false

This comes from the fact that 'align' is size_t and so unsigned. Just to be
sure, I did
	$ grep __kernel_size_t include/*/posix_types.h
and yes, every arch defines that to be unsigned.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/slab.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN mm/slab.c~remove-always-false-check-in-mm-slabc mm/slab.c
--- 25/mm/slab.c~remove-always-false-check-in-mm-slabc	Wed Jul  7 14:11:52 2004
+++ 25-akpm/mm/slab.c	Wed Jul  7 14:11:52 2004
@@ -1125,8 +1125,7 @@ kmem_cache_create (const char *name, siz
 		in_interrupt() ||
 		(size < BYTES_PER_WORD) ||
 		(size > (1<<MAX_OBJ_ORDER)*PAGE_SIZE) ||
-		(dtor && !ctor) ||
-		(align < 0)) {
+		(dtor && !ctor)) {
 			printk(KERN_ERR "%s: Early error in slab %s\n",
 					__FUNCTION__, name);
 			BUG();
_
